/*
 * watchdog.h
 *
 *  Created on: May 26, 2015
 *      Author: yango
 */

#include <stdint.h>

#ifndef WATCHDOG_H_
#define WATCHDOG_H_

/* Public interface */


/** Initializes LPC1769 Watchdog 
 *
 * @param timeout   timeout for watchdog reset
 *
 */
void Watchdog_init(uint32_t timeout);


/** Feeds watchdog
 *
 *
 */
void Watchdog_pulse();

/** IRQ for debugging reset
 *
 *
 */
void WDT_IRQHandler(void);

#endif /* WATCHDOG_H_ */
