/*
 * bluegearconstants.h
 *
 *  Created on: May 6, 2015
 *      Author: yango
 */

#include <stdint.h>
#include <type.h>

#ifndef BLUEGEARCONSTANTS_H_
#define BLUEGEARCONSTANTS_H_


#define _USE_DEBUG_MESSAGES 1

static const uint32_t ADC_ACCEL_X = 0;
static const uint32_t ADC_ACCEL_Y = 1;
static const uint32_t ADC_ACCEL_Z = 2;
static const uint32_t ADC_SAMPLE_TASK_PRIORITY =		( tskIDLE_PRIORITY + 1 );
static const uint32_t ADC_WAIT_TASK = 100 / portTICK_RATE_MS;

static const uint32_t VGEAR_TASK_PRIORITY =		( tskIDLE_PRIORITY + 1 );
static const uint32_t VGEAR_UART = UART1;
static const uint32_t VGEAR_BAUDRATE = 9600;
static const uint32_t VGEAR_WAIT_READ_MS = 100;
static const uint32_t VGEAR_WAIT_RECONNECT = 			( 100 / portTICK_RATE_MS );
static const uint32_t VGEAR_WAIT_TASK = 10 / portTICK_RATE_MS;
static const uint32_t VGEAR_PULSE_PIN = 23;
#define VGEAR_READ_BUFER_SIZE 64


static const uint32_t BLUETOOTH_TASK_PRIORITY =		( tskIDLE_PRIORITY + 1 );
static const uint32_t BLUETOOTH_WAIT_RECONNECT = 			( 100 / portTICK_RATE_MS );
static const uint8_t BLUETOOTH_KEY_PIN = 21;
static const uint8_t BLUETOOTH_POWER_PIN = 22;
static const uint32_t BLUETOOTH_UART = UART3;
static const uint32_t BLUETOOTH_BAUDRATE = 9600;
static const uint32_t BLUETOOTH_WAIT_COMMAND_MODE_MS = 300;
static const uint32_t BLUETOOTH_WAIT_READ_MS = 300;
static const uint32_t BLUETOOTH_WAIT_TASK = 10 / portTICK_RATE_MS;
#define BLUETOOTH_COMMAND_BUFFER_SIZE 64
#define BLUETOOTH_READ_BUFFER_SIZE 32
#define BLUETOOTH_OUTPUT_BUFFER_SIZE 128

#endif /* BLUEGEARCONSTANTS_H_ */
