/*
 * vgear.h
 *
 *  Created on: 17/4/2015
 *      Author: dzayas
 */

#ifndef VGEAR_H_
#define VGEAR_H_

#include <stdint.h>

static const char* C_STATUS = "AT+STATUS";

static const char* C_ALL = "AT+ALL";

static const char* C_SPEED = "AT+SPEED";

static const char* C_GEAR = "AT+GEAR";

static const char* C_ETEMP = "AT+ETEMP";

static const char* C_ATEMP = "AT+ATEMP";

static const char* C_RPM = "AT+RPM";

static const char* C_THR = "AT+THR";

static const uint32_t C_VGEAR_BAUDRATE = 9600;


typedef struct ECU_STATUS_STRUCT
{
    uint8_t currentStatus ;


    uint32_t currentGear ;
    uint32_t currentRPM ;
    float temperature ;
    float tempAir ;
    uint32_t currentThrottle ;
    uint32_t currentSpeed ;

    uint32_t accelX;
    uint32_t accelY;
    uint32_t accelZ;

} ECU_STATUS;



#endif /* VGEAR_H_ */
