/*
 * mma7736.h
 *
 *  Created on: May 5, 2015
 *      Author: yango
 */

#ifndef ADC_H_
#define ADC_H_

#include "LPC17xx.h"
#include <stdint.h>

#include "FreeRTOS.h"
#include "LPC17xx.h"
#include "semphr.h"
#include "type.h"

#define ADC_CLK				12000000

#define ADC_INTERRUPT_FLAG	0	/* 1 is interrupt driven, 0 is polling */


#define ADC_OFFSET          0x10
#define ADC_INDEX           4

#define ADC_DONE            0x80000000
#define ADC_OVERRUN         0x40000000
#define ADC_ADINT           0x00010000

#define ADC_NUM 	8


extern volatile uint32_t ADCValue[ADC_NUM];
extern volatile uint32_t ADCIntDone;

extern void ADC_IRQHandler( void );
extern void ADC_Init();
extern int32_t ADC_Read( uint8_t channelNum, uint32_t *outValue );


#endif /* ADC_H_ */
