/*
 * ret.h
 *
 *  Created on: 17/3/2015
 *      Author: dzayas
 */

#ifndef RET_H_
#define RET_H_


static const int32_t RET_OK = 0; /* Correct  */

static const int32_t E_INCORRECT_UART = -1 ; /* UART ID is not correct */
static const int32_t E_ERROR = -2 ; /* General error */
static const int32_t E_NON_INITIALIZED = -3; /* UART is not initialized */
static const int32_t E_NULL = -4; /* Pointer not valid */
static const int32_t E_CANNOT_MUTEX = -5; /* Mutex cannot be taken */
static const int32_t E_ERROR_PARSING_ANSWER = -6; /* Error parsing answer from VGEAR */
static const int32_t E_ERROR_PARSING_REQUEST = -7; /* Error parsing request from Bluetooth */
static const int32_t E_INCORRECT_ADC = -1 ; /* ADC ID is not correct */

#endif /* RET_H_ */
