/*
 * timer.h
 *
 *  Created on: Mar 18, 2015
 *      Author: dzayas
 */

#ifndef TIMER_H_
#define TIMER_H_


/** Fill the buffer pBuffer with value until position len
 * @precondition the pBuffer is a valid pointer and has enough space
 *
 * @param numTimer   timer number. Only timer0 is implemented
 * @param delayInMs  number of ms to wait
 *
 * @return
 */
void Timer_sleepMs(uint8_t numTimer, uint32_t delayInMs);





#endif /* TIMER_H_ */
