/*
 * vgear_command.h
 *
 *  Created on: Apr 18, 2015
 *      Author: yango
 */

#ifndef VGEAR_COMMAND_H_
#define VGEAR_COMMAND_H_

#include <stdint.h>


int8_t VGEAR_parseCommand(ECU_STATUS* ecuStatus, const char* strCommand, char* response);

int8_t VGEAR_answerThrottle(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerRPM(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerAirTemperature(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerEngineTemperature(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerGear(ECU_STATUS* ecuStatus,char* response);

int8_t VGEAR_answerSpeed(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerAll(ECU_STATUS* ecuStatus, char* response);

int8_t VGEAR_answerStatus(ECU_STATUS* ecuStatus,char* response);


#endif /* VGEAR_COMMAND_H_ */
