/*
 * log.c
 *
 *  Created on: Mar 18, 2015
 *      Author: dzayas
 */



#include "log.h"
#include "ret.h"
#include "stdio.h"

int32_t uartId;

int32_t Log_start(UART_ID pUartId, uint32_t baudRate)
{
    uartId = pUartId;
    int32_t ret = PrintF_start(uartId,baudRate);
    return ret;
}

int32_t Log_log(uint8_t *strBuffer)
{
    static const char *format = "[DEBUG] %s";
    char tmpBuffer[128];
    sprintf(tmpBuffer, format, strBuffer );
    int32_t ret = PrintF_print( uartId,tmpBuffer);
    if( ret > 0 )
    {
        ret = RET_OK;
    }
    return ret;
}
